Skip to content

# Interface: InputValidator

## Hierarchy

- InputValidator

## Index

### Properties

- debounce
- message

### Methods

- condition
- validate

## Properties

### `Optional` debounce

• debounce? : number

Defined in src/renderer/components/input/input_validators.ts:6

### `Optional` message

• message? : ReactNode | function

Defined in src/renderer/components/input/input_validators.ts:8

## Methods

### `Optional` condition

▸ condition(`props`: InputProps): boolean

Defined in src/renderer/components/input/input_validators.ts:7

Parameters:

Name | Type
--- | ---
`props` | InputProps

Returns: boolean

### validate

▸ validate(`value`: string, `props?`: InputProps): boolean | Promise‹any›

Defined in src/renderer/components/input/input_validators.ts:9

Parameters:

Name | Type
--- | ---
`value` | string
`props?` | InputProps

Returns: boolean | Promise‹any›